Utils
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.executor.stubs
Class Utils

    java.lang.Object
      org.gcube.vremanagement.executor.stubs.Utils

    public class Utils

extends java.lang.Object

Constants and utilities for interaction with the Executor service.

Author:
  Fabio Simeoni (University of Strathclyde)

Field Summary
`static java.lang.String` | `ENGINE_PT_NAME` Relative endpoint of the Engine port-type.
`static java.lang.String` | `ENGINE_TASKNAME_NAME` Name of the name field of task descriptions.
`static java.lang.String` | `ENGINE_TASKPROPERTY_NAME` Name of the property field of task descriptions.
`static java.lang.String` | `ENGINE_TASKPROPERTYNAME_NAME` Name of the name field of the property field of task descriptions.
`static java.lang.String` | `ENGINE_TASKPROPERTYVALUE_NAME` Name of the value field of the property field of task descriptions.
`static java.lang.String` | `ENGINE_TASKRP_NAME` Name of the task RP of the Engine port-type.
`static java.lang.String` | `NS` Executor's namespace.
`static java.lang.String` | `SERVICE_CLASS` Service class.
`static java.lang.String` | `SERVICE_NAME` Service name.
`static javax.xml.namespace.QName` | `TASK_ERROR_RP` Fully qualified name of the Error RP of Task resources.
`static javax.xml.namespace.QName` | `TASK_INPUT_RP` Fully qualified name of the Input RP of Task resources.
`static javax.xml.namespace.QName` | `TASK_LOG_RP` Fully qualified name of the Log RP of Task resources.
`static javax.xml.namespace.QName` | `TASK_OUTPUT_RP` Fully qualified name of the Output RP of Task resources.
`static java.lang.String` | `TASK_PT_NAME` Relative endpoint of the Task port-type.
`static javax.xml.namespace.QName` | `TASK_STARTED_RP` Fully qualified name of the Started RP of Task resources.
`static javax.xml.namespace.QName` | `TASK_STATE_RP` Fully qualified name of the State RP of Task resources.
`static javax.xml.namespace.QName` | `TASK_TYPE_RP` Fully qualified name of the Type RP of Task resources.

Constructor Summary
`Utils()`

Method Summary
`static AnyMap` | `extern(java.util.Map<java.lang.String,java.lang.Object> internal)` Used internally to convert an internal structure into an external structure.
`static java.util.Map<java.lang.String,java.lang.Object>` | `intern(AnyMap external)` Used internally to convert an external acyclic structure into an internal structure.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_NAME

    public static final java.lang.String SERVICE_NAME

  Service name.

  See Also:
    Constant Field Values

### SERVICE_CLASS

    public static final java.lang.String SERVICE_CLASS

  Service class.

  See Also:
    Constant Field Values

### NS

    public static final java.lang.String NS

  Executor's namespace.

  See Also:
    Constant Field Values

### ENGINE_PT_NAME

    public static final java.lang.String ENGINE_PT_NAME

  Relative endpoint of the Engine port-type.

  See Also:
    Constant Field Values

### TASK_PT_NAME

    public static final java.lang.String TASK_PT_NAME

  Relative endpoint of the Task port-type.

  See Also:
    Constant Field Values

### ENGINE_TASKRP_NAME

    public static final java.lang.String ENGINE_TASKRP_NAME

  Name of the task RP of the Engine port-type.

  See Also:
    Constant Field Values

### ENGINE_TASKNAME_NAME

    public static final java.lang.String ENGINE_TASKNAME_NAME

  Name of the name field of task descriptions.

  See Also:
    Constant Field Values

### ENGINE_TASKPROPERTY_NAME

    public static final java.lang.String ENGINE_TASKPROPERTY_NAME

  Name of the property field of task descriptions.

  See Also:
    Constant Field Values

### ENGINE_TASKPROPERTYNAME_NAME

    public static final java.lang.String ENGINE_TASKPROPERTYNAME_NAME

  Name of the name field of the property field of task descriptions.

  See Also:
    Constant Field Values

### ENGINE_TASKPROPERTYVALUE_NAME

    public static final java.lang.String ENGINE_TASKPROPERTYVALUE_NAME

  Name of the value field of the property field of task descriptions.

  See Also:
    Constant Field Values

### TASK_STATE_RP

    public static final javax.xml.namespace.QName TASK_STATE_RP

  Fully qualified name of the State RP of Task resources.

### TASK_OUTPUT_RP

    public static final javax.xml.namespace.QName TASK_OUTPUT_RP

  Fully qualified name of the Output RP of Task resources.

### TASK_INPUT_RP

    public static final javax.xml.namespace.QName TASK_INPUT_RP

  Fully qualified name of the Input RP of Task resources.

### TASK_LOG_RP

    public static final javax.xml.namespace.QName TASK_LOG_RP

  Fully qualified name of the Log RP of Task resources.

### TASK_ERROR_RP

    public static final javax.xml.namespace.QName TASK_ERROR_RP

  Fully qualified name of the Error RP of Task resources.

### TASK_STARTED_RP

    public static final javax.xml.namespace.QName TASK_STARTED_RP

  Fully qualified name of the Started RP of Task resources.

### TASK_TYPE_RP

    public static final javax.xml.namespace.QName TASK_TYPE_RP

  Fully qualified name of the Type RP of Task resources.

Constructor Detail

### Utils

    public Utils()

Method Detail

### intern

    public static java.util.Map<java.lang.String,java.lang.Object> intern(AnyMap external)
                                                                   throws java.lang.IllegalArgumentException

  Used internally to convert an external acyclic structure into an internal structure.

  Parameters:
    `external` - the external structure.
  Returns:
    the internal structure.
  Throws:
    `java.lang.IllegalArgumentException` - if the external structure contains cycles or shared nodes.

### extern

    public static AnyMap extern(java.util.Map<java.lang.String,java.lang.Object> internal)
                         throws java.lang.IllegalArgumentException

  Used internally to convert an internal structure into an external structure.

  Parameters:
    `internal` - the internal structure.
  Returns:
    the external structure.
  Throws:
    `java.lang.IllegalArgumentException` - if the internal structure contains cycles or shared nodes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD